ByteChef LogoByteChef
Backend (API Key)Workflow Catalog

Get an automation workflow template available to a connected user identified by external user id

Get an automation workflow template available to a connected user identified by external user id by its workflow uuid. Unlike the project listing, it also returns a template of a project not listed in the Automation Hub.

GET
/{externalUserId}/automation/workflow-templates/{workflowUuid}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

externalUserId*string

The external user id.

workflowUuid*string

The workflow template uuid.

Header Parameters

X-Environment?string

The environment.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Response Body

application/json

curl -X GET "https://example.com/string/automation/workflow-templates/string"
{  "id": "string",  "label": "string",  "description": "string",  "components": [    {      "name": "string",      "title": "string",      "icon": "string",      "connectionRequired": true,      "integrationId": 0,      "provided": true    }  ],  "inputs": [    {      "name": "string",      "label": "string",      "type": "string",      "required": true,      "provided": true    }  ]}

How is this guide?